Create an Availability Request

A request for availability and pricing by address or location is submitted as followed.

POST /availability-requests
[
  { // by address
    "address": {
      "country_code": "NL",
      "street": "Lijnbaansgracht",
      "city": "Amsterdam",
      "house_number_addition": "H",
      "house_number": "206",
      "postal_code": "1016 XA"
    }
  },
  { // by location/coordinates
    "address": {
      "coordinates": {
        "latitude": 52.36801, 
        "longitude": 4.879151
      }
    }
  }
]

The request should contain an array of addresses. This way you can request availability and pricing for multiple searches at once.

Returned are the IDs that will be assigned to the availability requests.

Filtered Availability Request

Filters can be added to the request for a more specific search. Filter options can be retrieved per country as followed. The Alpha-2 country code can be passed as a query parameter.

And example of applied filters below:

Customers and Projects

Either a customer or a project can be attached to an availability request to apply customer-specific pricing.

Last updated